IDC_RADIO_TRAIN			equ		1020
IDC_RADIO_RUN			equ		1021

MAX_POS_SAMPLES			equ		128

CURMODE_RUN 			equ		0
CURMODE_TRAIN			equ		1

WINDOW_WIDTH			equ		640
WINDOW_HEIGHT			equ		480

RESAMPLE_SMALL_WIDTH	equ		320
RESAMPLE_SMALL_HEIGHT	equ		280

FLOAT_1_0				equ		3F800000h	;1.0

TRAIN_SAMPLES			equ		12		;# of averaged samples to use for training

NNET_INPUTS				equ		TRAIN_SAMPLES*2	;sin and cos samples for all train samples
NNET_OUTPUTS			equ		26	; alphabet chars
NNET_HIDDENLAYERS		equ		1	; number of hidden layers
NNET_HIDDENSIZE			equ		15	; number of neurons in hidden layer

GRAPH_SMALL_WIDTH		equ		144
GRAPH_SMALL_HEIGHT		equ		200

TABLET_WIDTH			equ		320
TABLET_HEIGHT			equ		240
TABLET_MARGIN_LEFT		equ		15
TABLET_MARGIN_TOP		equ		30

MAIN_CHILD_DLG_X		equ		110
MAIN_CHILD_DLG_Y		equ		390
MAIN_CHILD_DLG_W		equ		550
MAIN_CHILD_DLG_H		equ		200

RADIO_TRAIN_X 			equ 	10
RADIO_TRAIN_Y 			equ 	430

RADIO_RUN_X 			equ 	RADIO_TRAIN_X
RADIO_RUN_Y 			equ 	400

TABLET_X				equ		15
TABLET_Y				equ		30
TABLET_W				equ		320
TABLET_H				equ		240

GRAPH_LEGENDA_X			equ		360
GRAPH_LEGENDA_Y			equ 	30
GRAPH_LEGENDA_W			equ 	280
GRAPH_LEGENDA_H			equ		247

CAPTION_X 				equ 	71
CAPTION_Y				equ 	0
CAPTION_W 				equ 	189
CAPTION_H 				equ 	28

GRAPH1_X_RELATIVE		equ		23	;relative to the legenda image
GRAPH1_Y_RELATIVE		equ 	2	;relative to the legenda image
GRAPH2_X_RELATIVE		equ		23	;relative to the legenda image
GRAPH2_Y_RELATIVE		equ 	130	;relative to the legenda image
ONEGRAPH_HEIGHT			equ		100
GRAPH_AVG_WIDTH			equ		GRAPH_SMALL_WIDTH/TRAIN_SAMPLES

ALPHABET_X				equ		60
ALPHABET_Y				equ		300
ALPHABET_W				equ		520
ALPHABET_H				equ		80
ALPHABET_ONEROW_H		equ		40

ALPHABET_ONECHAR_W		equ 	40
ALPHABET_ONECHAR_H		equ		ALPHABET_ONEROW_H


ALPHABET_NORMAL_VOFFSET 	equ ALPHABET_H*0
ALPHABET_SET_VOFFSET 		equ ALPHABET_H*1
ALPHABET_SELECTED_VOFFSET 	equ ALPHABET_H*2


TDAT	STRUCT	
	nCoords		dd	?
	nAngles		dd	?
	coords		POINT MAX_POS_SAMPLES dup (<?>)
	angles		DWORD MAX_POS_SAMPLES dup (?)
	inputData	REAL4 TRAIN_SAMPLES*2 dup (?)
TDAT	ENDS
